# Glossary

Behaviour of the course **Glossary** tool.

Access these settings under **Administration > Configuration settings > Glossary**. This category contains **3 settings**, listed below with the title and comment shipped in the platform's settings fixtures (`SettingsCurrentFixtures.php`).

> The variable name in code is shown in monospace. Use it when scripting via the API or when you need to change those settings at a global level by editing [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml).

## Settings

### `allow_remove_tags_in_glossary_export`

**Remove HTML tags in glossary export**

When enabled, HTML tags are removed from glossary term definitions when exporting.

*Default: `false`*

### `default_glossary_view`

**Default glossary view**

Choose which view ('table' or 'list') will be used by default in the glossary tool.

*Default: `table`*

### `show_glossary_in_extra_tools`

**Show the glossary terms in extra tools**

From here you can configure how to add the glossary terms in extra tools as learning path and exercice tool


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/administration-guide/admin-guide/platform-settings/glossary-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
